curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless mouse","zipcode":"10001"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_l7q7dkf244hwjntr0",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"keyword": "wireless mouse", "zipcode": "10001"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_l7q7dkf244hwjntr0",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless mouse", zipcode: "10001" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Ergonomic Wireless Mouse with USB Receiver",
"url": "https://www.amazon.com/dp/B0C98765XY",
"asin": "B0C98765XY",
"price": 24.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 18700,
"seller_name": "PeripheralsDirect",
"brand": "ErgoClick",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-mouse.jpg",
"description": "Lightweight ergonomic wireless mouse with adjustable DPI and silent clicks.",
"category": "Electronics > Computers > Mice"
}
]
Amazon
Discover Amazon products by keyword
Discover Amazon products that match a search keyword with the Bright Data Scraper API. Send POST /datasets/v3/scrape with dataset_id gd_l7q7dkf244hwjntr0.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless mouse","zipcode":"10001"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_l7q7dkf244hwjntr0",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"keyword": "wireless mouse", "zipcode": "10001"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_l7q7dkf244hwjntr0",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless mouse", zipcode: "10001" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Ergonomic Wireless Mouse with USB Receiver",
"url": "https://www.amazon.com/dp/B0C98765XY",
"asin": "B0C98765XY",
"price": 24.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 18700,
"seller_name": "PeripheralsDirect",
"brand": "ErgoClick",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-mouse.jpg",
"description": "Lightweight ergonomic wireless mouse with adjustable DPI and silent clicks.",
"category": "Electronics > Computers > Mice"
}
]
Query Parameters
string
default:"gd_l7q7dkf244hwjntr0"
required
The dataset ID used for this request.
Must be set to
gd_l7q7dkf244hwjntr0 to collect Discover by Keyword data.string
default:"discover_new"
Must be set to
discover_new.string
default:"keyword"
Must be set to
keyword.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless mouse","zipcode":"10001"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_l7q7dkf244hwjntr0",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"keyword": "wireless mouse", "zipcode": "10001"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_l7q7dkf244hwjntr0",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless mouse", zipcode: "10001" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Ergonomic Wireless Mouse with USB Receiver",
"url": "https://www.amazon.com/dp/B0C98765XY",
"asin": "B0C98765XY",
"price": 24.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 18700,
"seller_name": "PeripheralsDirect",
"brand": "ErgoClick",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-mouse.jpg",
"description": "Lightweight ergonomic wireless mouse with adjustable DPI and silent clicks.",
"category": "Electronics > Computers > Mice"
}
]
Was this page helpful?